#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Simple library for extracting the contents of Microsoft Excel files
Summary(pl.UTF-8):	Prosta biblioteka do wyciągania danych z plików Microsoft Excela
Name:		freexl
Version:	1.0.5
Release:	1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		Libraries
Source0:	http://www.gaia-gis.it/gaia-sins/freexl-sources/%{name}-%{version}.tar.gz
# Source0-md5:	3ed2a0486f03318820b25f0ccae5e14d
URL:		https://www.gaia-gis.it/fossil/freexl
%{?with_apidocs:BuildRequires:	doxygen >= 1.7.3}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FreeXL is a simple library intended for extracting the contents and
some metadata from Microsoft Excel (.xls) format files.

It makes no attempt to extract GUI-related formatting or
formulas/charts/etc.

%description -l pl.UTF-8
FreeXL to prosta biblioteka do wydobywania zawartości oraz niektórych
metadanych z plików Microsoft Excela (.xls).

Nie próbuje wydobywać formatowania graficznego ani
wzorów/wykresów/itp.

%package devel
Summary:	Header files for FreeXL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki FreeXL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for FreeXL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki FreeXL.

%package static
Summary:	Static FreeXL library
Summary(pl.UTF-8):	Statyczna biblioteka FreeXL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FreeXL library.

%description static -l pl.UTF-8
Statyczna biblioteka FreeXL.

%package apidocs
Summary:	FreeXL API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki FreeXL
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for FreeXL library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki FreeXL.

%prep
%setup -q

%build
%configure

%{__make}

%{?with_apidocs:doxygen}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libfreexl.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libfreexl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfreexl.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfreexl.so
%{_includedir}/freexl.h
%{_pkgconfigdir}/freexl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfreexl.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc html/*
%endif
%changelog
* Mon May 07 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/freexl.git;a=log;h=master

* Mon May 07 2018 Jakub Bogusz <qboosh@pld-linux.org> cedf0ff
- updated to 1.0.5

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> aa20be0
- noarch apidoc

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 18b7dac
- updated to 1.0.2

* Fri May 29 2015 Jakub Bogusz <qboosh@pld-linux.org> a4f852b
- updated to 1.0.1

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 7c8fd4f
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 6c25077
- updated to 1.0.0g

* Sat Nov 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 54f898e
- updated to 1.0.0f

* Mon Jan 07 2013 Jakub Bogusz <qboosh@pld-linux.org> d8c272b
- updated to 1.0.0e

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> f2bb4f3
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 339815c
- cleanup

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 03ae4c1
- new

